%define tarball_name	UPnP-Inspector

Name:		upnp-inspector
Version:	0.2.2
Release:	%mkrel 12
Summary:	An UPnP Device and Service analyzer
License:	MIT
Group:		Networking/Other
URL:		https://coherence.beebits.net/wiki/UPnP-Inspector
Source0:	https://coherence.beebits.net/download/%{tarball_name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pkgconfig(python2)
BuildRequires:	imagemagick

Requires:	python-coherence >= 0.6.0
Requires:	pygtk2
Requires(post):   rpm-helper
Requires(preun):  rpm-helper

Provides:	UPnP-Inspector = %{version}

%description
The Inspector is an UPnP Device and Service analyzer, and a debugging tool,
based on the Coherence DLNA/UPnP framework.
Modeled loosely after the Intel UPnP Device Spy and Device Validator.
It is a GUI to discover and explore UPnP devices on your network.
Detected devices are displayed in a tree-view, where actions can be called and
state-variables be queried.

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{python2_sitelib}/*

%prep
%setup -q -n %{tarball_name}-%{version}

%build
%py2_build

%install
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_iconsdir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications/

%py2_install

# install icons
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
install -m 644 upnp_inspector/icons/inspector-logo.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16x16 upnp_inspector/icons/inspector-logo.png %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 48x48 upnp_inspector/icons/inspector-logo.png %{buildroot}%{_liconsdir}/%{name}.png

# menu
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=UPnP-Inspector
Comment=An UPnP Device and Service analyzer
Exec=upnp-inspector
Icon=upnp-inspector
StartupNotify=true
Terminal=false
Type=Application
Categories=HardwareSettings;Settings;X-Mageia-CrossDesktop;
EOF


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.2.2-12.mga6
+ Revision: 971993
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 0.2.2-11.mga6
+ Revision: 894144
- make it noarch thus fixing empty debuginfo
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-10.mga5
+ Revision: 750408
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.2-9.mga5
+ Revision: 730671
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-8.mga5
+ Revision: 690067
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2.2-6.mga4
+ Revision: 544664
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.2-5.mga4
+ Revision: 499960
- Rebuild to add different pythonegg provides for python 2 and 3

  + barjac <barjac>
    - update desktop file

* Mon Jan 14 2013 fwang <fwang> 0.2.2-4.mga3
+ Revision: 385728
- cleanup categories

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 0.2.2-3.mga1
+ Revision: 55140
- rebuild so that all pythonegg autorequires are lowercase
- replace the deprecated %%py_requires -d with python-devel

* Sat Jan 29 2011 erwan <erwan> 0.2.2-2.mga1
+ Revision: 44001
- imported package upnp-inspector


* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 0.2.2-2mdv2011.0
+ Revision: 594034
- rebuld for py2.7

* Mon Aug 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2.2-1mdv2010.0
+ Revision: 417408
- update to new version 0.2.2

* Mon Mar 09 2009 Erwan Velu <erwan@mandriva.org> 0.2.0-1mdv2009.1
+ Revision: 353291
- 0.2.0

* Mon Jan 26 2009 Erwan Velu <erwan@mandriva.org> 0.1.7-1mdv2009.1
+ Revision: 333759
- Fixing logo
- import upnp-inspector


